# Settings

Settings component used for your plugin settings config

## Plugin config

```jsx
import { Plugin } from '@root'

const {
    GUI
} = Plugin

class Settings extends Plugin.Settings {
    plugin() {
        return(
            <>
                <GUI.ConfigInput    
                    name={'username'}
                    ref={refs => this.handleRefs(refs, 'username')}
                />
                
                <GUI.ConfigPassword
                    name={'password'}
                    ref={refs => this.handleRefs(refs, 'password')}
                />
            </>
        )
    }
}

export {
    Settings
}
```

You can access your plugin config from Dashboard main components with`props.config.username && props.config.password`

Or with Plugin.useConfig() hook

{% content-ref url="/pages/-MCgbVPXv8oT2jF0-Xhd" %}
[useConfig](/dashboard-plugin/api-and-gui/api/useconfig.md)
{% endcontent-ref %}

## Application config

```jsx
import { Plugin } from '@root'

const {
    GUI
} = Plugin


class Settings extends Plugin.Settings {
    application() {
        return(
            <GUI.ConfigInput    
                name={'title'}
                ref={refs => this.handleRefs(refs, 'applicationTitle')}
            />
        )
    }
}

export {
    Settings
}
```

You can access your plugin config from Dashboard main components with`props.config.applicationTitle`

Or with Plugin.useApplicationConfig() hook

{% content-ref url="/pages/-MCgbUWgsvM0Th2Fp26C" %}
[Broken mention](broken://pages/-MCgbUWgsvM0Th2Fp26C)
{% endcontent-ref %}

{% hint style="info" %}
And of course you can use plugin() and application() together, but make sure you don't use the same ref name in plugin()  and application(), because one of em will override the other.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/dashboard-plugin/components/settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
